### Method

# Ide Runner get_argv

#### Declaration

    gchar**
    ide_runner_get_argv (
      IdeRunner* self
    )

#### Description

Gets the argument list as a newly allocated string array.

Available since: | 3.32

Gets property | `Ide.Runner:argv`

#### Return value

Returns: | An array of `utf8`
| A newly allocated string array that should be freed with g_strfreev().
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.